Summary:          High-performance event loop/event model with lots of features

Name:             libev
Version:          4.33
Release:          1%{?dist}

License:          BSD or GPLv2+
URL:              http://software.schmorp.de/pkg/libev.html
Source0:          http://dist.schmorp.de/libev/Attic/%{name}-%{version}.tar.gz

BuildRequires:    gcc autoconf automake make 
BuildRequires:    coreutils findutils libtool tar

Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package devel
Summary:          Development headers for libev
Requires:         %{name} = %{version}-%{release}

Provides:         /usr/include/event.h

# The event.h file actually conflicts with the one from libevent-devel
Conflicts:        libevent-devel

%description devel
This package contains the development headers and libraries for libev.

%prep
%autosetup
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
%make_install
rm -vf %{buildroot}%{_libdir}/%{name}.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

%files devel
%{_includedir}/event.h
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so
%{_mandir}/man?/*

%changelog
* Fri Apr 08 2022 jackbertluo <jackbertluo@tencent.com> - 4.33-1 
- Initial build
